<html xmlns:math="http://exslt.org/math" xmlns:testng="http://testng.org">
   <head>
      <title>TestNG Results</title>
      <meta http-equiv="content-type" content="text/html; charset=utf-8"></meta>
      <meta http-equiv="pragma" content="no-cache"></meta>
      <meta http-equiv="cache-control" content="max-age=0"></meta>
      <meta http-equiv="cache-control" content="no-cache"></meta>
      <meta http-equiv="cache-control" content="no-store"></meta>
      <LINK rel="stylesheet" href="style.css"></LINK>
      <script type="text/javascript" src="main.js"></script>
   </head>
   <body>
      <table width="100%" style="font-size: 16px; margin-bottom: 10px;" cellspacing="1">
         <tr>
            <td width="100%">
               Test case
               
               <b>EditContract</b>
            </td>
            <td style="background-color: #FFBBBB; padding: 3px 3px 3px 0;" align="center">
               <div style="width: 50px;">1</div>
            </td>
            <td style="background-color: lightgreen; padding: 3px 3px 3px 0;" align="center">
               <div style="width: 50px;">0</div>
            </td>
            <td style="background-color: #FFFFBB; padding: 3px 3px 3px 0;" align="center">
               <div style="width: 50px;">0</div>
            </td>
            <td align="center" style="background-color: #eaf0f7; padding: 3px 3px 3px 0;">
               <div style="width: 50px;">1</div>
            </td>
            <td align="center"
                style="font-weight: bold; background-color: #eaf0f7; padding: 3px 3px 3px 0;">
               <div style="width: 50px;">0%</div>
            </td>
            <td style="background-color: #eaf0f7; padding: 3px 3px 3px 0;" align="center"
                nowrap="true">0 ms
               
            </td>
         </tr>
      </table>
      <div style="width: 200px;">
         <label for="groupMethodsCheckBox" style="font-weight: bold; margin: 0;">
            <input id="groupMethodsCheckBox" type="checkbox" onclick="switchTestMethodsView(this)"></input>
            Group by class
            
         </label>
         <br></br>
         <label for="methodsFilter_ALL" style="font-weight: bold; margin: 0;">
            <input id="methodsFilter_ALL" type="checkbox"
                   onclick="testMethodsFilterChanged(this, 'ALL')"></input>
            All
            
         </label>
      </div>
      <label for="methodsFilter_FAIL" style="margin-left: 20px;">
         <input id="methodsFilter_FAIL" type="checkbox"
                onclick="testMethodsFilterChanged(this, 'FAIL')"
                checked=""></input>
         Failed
         
      </label>
      <label for="methodsFilter_PASS">
         <input id="methodsFilter_PASS" type="checkbox"
                onclick="testMethodsFilterChanged(this, 'PASS')"
                checked=""></input>
         Passed
         
      </label>
      <label for="methodsFilter_SKIP">
         <input id="methodsFilter_SKIP" type="checkbox"
                onclick="testMethodsFilterChanged(this, 'SKIP')"
                checked=""></input>
         Skipped
         
      </label>
      <label for="methodsFilter_CONF">
         <input id="methodsFilter_CONF" type="checkbox"
                onclick="testMethodsFilterChanged(this, 'CONF')"></input>
         Config
         
      </label>
      <br></br>
      <div id="testMethodsByStatus">
         <table class="testMethodsTable" cellpadding="0" cellspacing="0">
            <tr class="methodsTableHeader">
               <td width="100%">Name</td>
               <td nowrap="true">Started</td>
               <td nowrap="true">Duration</td>
               <td>Exception</td>
            </tr>
            <tr id="com.stta.GCM.EditContract_EditContractTest_byStatus_failed_FAIL1_row"
                class="testMethodStatusFAIL">
               <td width="100%" class="firstMethodCell">
                  <a onclick="toggleDetailsVisibility('com.stta.GCM.EditContract_EditContractTest_byStatus_failed_FAIL1_details')">EditContractTest()</a>
               </td>
               <td nowrap="true">16:26:16</td>
               <td nowrap="true" align="right">0 ms
                  
               </td>
               <td nowrap="true">
                  <a onclick="toggleDetailsVisibility('com.stta.GCM.EditContract_EditContractTest_byStatus_failed_FAIL1_exception')">org.testng.TestNGException: 
                     
                     Method public void com.stta.GCM.EditContract.EditContractTest() requires a @DataProvider named : EditContractData
                     
                  </a>
                   
                  
               </td>
            </tr>
            <tr>
               <td colspan="4" class="detailsBox">
                  <div id="com.stta.GCM.EditContract_EditContractTest_byStatus_failed_FAIL1_details"
                       class="testMethodDetails">
                     <div>
                        <b>Name: </b>EditContractTest
                     </div>
                     <div>
                        <b>Signature: </b>EditContractTest()[pri:0, instance:com.stta.GCM.EditContract@5ba23b66]
                     </div>
                     <div>
                        <b>Start time: </b>16:26:16
                     </div>
                     <div>
                        <b>End time: </b>16:26:16
                     </div>
                     <div>
                        <b>Duration: </b>0 ms
                        
                     </div>
                  </div>
               </td>
            </tr>
            <tr>
               <td colspan="4" class="detailsBox">
                  <div id="com.stta.GCM.EditContract_EditContractTest_byStatus_failed_FAIL1_exception"
                       class="testMethodDetails">
                     <pre style="padding: 5px; margin: 0;">org.testng.TestNGException: 
                        Method public void com.stta.GCM.EditContract.EditContractTest() requires a @DataProvider named : EditContractData
                        	at org.testng.internal.Parameters.findDataProvider(Parameters.java:268)
                        	at org.testng.internal.Parameters.handleParameters(Parameters.java:417)
                        	at org.testng.internal.Invoker.handleParameters(Invoker.java:1383)
                        	at org.testng.internal.Invoker.createParameters(Invoker.java:1075)
                        	at org.testng.internal.Invoker.invokeTestMethods(Invoker.java:1180)
                        	at org.testng.internal.TestMethodWorker.invokeTestMethods(TestMethodWorker.java:127)
                        	at org.testng.internal.TestMethodWorker.run(TestMethodWorker.java:111)
                        	at org.testng.TestRunner.privateRun(TestRunner.java:767)
                        	at org.testng.TestRunner.run(TestRunner.java:617)
                        	at org.testng.SuiteRunner.runTest(SuiteRunner.java:334)
                        	at org.testng.SuiteRunner.runSequentially(SuiteRunner.java:329)
                        	at org.testng.SuiteRunner.privateRun(SuiteRunner.java:291)
                        	at org.testng.SuiteRunner.run(SuiteRunner.java:240)
                        	at org.testng.SuiteRunnerWorker.runSuite(SuiteRunnerWorker.java:52)
                        	at org.testng.SuiteRunnerWorker.run(SuiteRunnerWorker.java:86)
                        	at org.testng.TestNG.runSuitesSequentially(TestNG.java:1224)
                        	at org.testng.TestNG.runSuitesSequentially(TestNG.java:1220)
                        	at org.testng.TestNG.runSuitesLocally(TestNG.java:1149)
                        	at org.testng.TestNG.run(TestNG.java:1057)
                        	at org.testng.TestNG.privateMain(TestNG.java:1364)
                        	at org.testng.TestNG.main(TestNG.java:1333)
                     </pre>
                  </div>
               </td>
            </tr>
            <tr id="com.stta.GCM.EditContract_checkSuiteToRun_byStatus_passed_PASS1_row"
                class="testMethodStatusPASS testMethodStatusCONF">
               <td width="100%" class="firstMethodCell">
                  <a onclick="toggleDetailsVisibility('com.stta.GCM.EditContract_checkSuiteToRun_byStatus_passed_PASS1_details')">checkSuiteToRun()</a>
               </td>
               <td nowrap="true">16:25:19</td>
               <td nowrap="true" align="right">235 ms
                  
               </td>
               <td nowrap="true">
                   
                  
               </td>
            </tr>
            <tr>
               <td colspan="4" class="detailsBox">
                  <div id="com.stta.GCM.EditContract_checkSuiteToRun_byStatus_passed_PASS1_details"
                       class="testMethodDetails">
                     <div>
                        <b>Name: </b>checkSuiteToRun
                     </div>
                     <div>
                        <b>Signature: </b>checkSuiteToRun()[pri:0, instance:com.stta.GCM.EditContract@5ba23b66]
                     </div>
                     <div>
                        <b>Start time: </b>16:25:19
                     </div>
                     <div>
                        <b>End time: </b>16:25:19
                     </div>
                     <div>
                        <b>Duration: </b>235 ms
                        
                     </div>
                  </div>
               </td>
            </tr>
            <tr></tr>
         </table>
      </div>
      <div id="testMethodsByClass" style="display: none;">
         <table class="testMethodsTable" cellpadding="0" cellspacing="0">
            <tr>
               <td colspan="4">
                  <h3 style="display: inline;">com.stta.GCM.EditContract</h3>
               </td>
            </tr>
            <tr class="methodsTableHeader">
               <td width="100%">Name</td>
               <td nowrap="true">Started</td>
               <td nowrap="true">Duration</td>
               <td>Exception</td>
            </tr>
            <tr id="com.stta.GCM.EditContract_checkSuiteToRun_byClass_PASS1_row"
                class="testMethodStatusPASS testMethodStatusCONF">
               <td width="100%" class="firstMethodCell">
                  <a onclick="toggleDetailsVisibility('com.stta.GCM.EditContract_checkSuiteToRun_byClass_PASS1_details')">checkSuiteToRun()</a>
               </td>
               <td nowrap="true">16:25:19</td>
               <td nowrap="true" align="right">235 ms
                  
               </td>
               <td nowrap="true">
                   
                  
               </td>
            </tr>
            <tr>
               <td colspan="4" class="detailsBox">
                  <div id="com.stta.GCM.EditContract_checkSuiteToRun_byClass_PASS1_details"
                       class="testMethodDetails">
                     <div>
                        <b>Name: </b>checkSuiteToRun
                     </div>
                     <div>
                        <b>Signature: </b>checkSuiteToRun()[pri:0, instance:com.stta.GCM.EditContract@5ba23b66]
                     </div>
                     <div>
                        <b>Start time: </b>16:25:19
                     </div>
                     <div>
                        <b>End time: </b>16:25:19
                     </div>
                     <div>
                        <b>Duration: </b>235 ms
                        
                     </div>
                  </div>
               </td>
            </tr>
            <tr></tr>
            <tr id="com.stta.GCM.EditContract_EditContractTest_byClass_FAIL2_row"
                class="testMethodStatusFAIL">
               <td width="100%" class="firstMethodCell">
                  <a onclick="toggleDetailsVisibility('com.stta.GCM.EditContract_EditContractTest_byClass_FAIL2_details')">EditContractTest()</a>
               </td>
               <td nowrap="true">16:26:16</td>
               <td nowrap="true" align="right">0 ms
                  
               </td>
               <td nowrap="true">
                  <a onclick="toggleDetailsVisibility('com.stta.GCM.EditContract_EditContractTest_byClass_FAIL2_exception')">org.testng.TestNGException: 
                     
                     Method public void com.stta.GCM.EditContract.EditContractTest() requires a @DataProvider named : EditContractData
                     
                  </a>
                   
                  
               </td>
            </tr>
            <tr>
               <td colspan="4" class="detailsBox">
                  <div id="com.stta.GCM.EditContract_EditContractTest_byClass_FAIL2_details"
                       class="testMethodDetails">
                     <div>
                        <b>Name: </b>EditContractTest
                     </div>
                     <div>
                        <b>Signature: </b>EditContractTest()[pri:0, instance:com.stta.GCM.EditContract@5ba23b66]
                     </div>
                     <div>
                        <b>Start time: </b>16:26:16
                     </div>
                     <div>
                        <b>End time: </b>16:26:16
                     </div>
                     <div>
                        <b>Duration: </b>0 ms
                        
                     </div>
                  </div>
               </td>
            </tr>
            <tr>
               <td colspan="4" class="detailsBox">
                  <div id="com.stta.GCM.EditContract_EditContractTest_byClass_FAIL2_exception"
                       class="testMethodDetails">
                     <pre style="padding: 5px; margin: 0;">org.testng.TestNGException: 
                        Method public void com.stta.GCM.EditContract.EditContractTest() requires a @DataProvider named : EditContractData
                        	at org.testng.internal.Parameters.findDataProvider(Parameters.java:268)
                        	at org.testng.internal.Parameters.handleParameters(Parameters.java:417)
                        	at org.testng.internal.Invoker.handleParameters(Invoker.java:1383)
                        	at org.testng.internal.Invoker.createParameters(Invoker.java:1075)
                        	at org.testng.internal.Invoker.invokeTestMethods(Invoker.java:1180)
                        	at org.testng.internal.TestMethodWorker.invokeTestMethods(TestMethodWorker.java:127)
                        	at org.testng.internal.TestMethodWorker.run(TestMethodWorker.java:111)
                        	at org.testng.TestRunner.privateRun(TestRunner.java:767)
                        	at org.testng.TestRunner.run(TestRunner.java:617)
                        	at org.testng.SuiteRunner.runTest(SuiteRunner.java:334)
                        	at org.testng.SuiteRunner.runSequentially(SuiteRunner.java:329)
                        	at org.testng.SuiteRunner.privateRun(SuiteRunner.java:291)
                        	at org.testng.SuiteRunner.run(SuiteRunner.java:240)
                        	at org.testng.SuiteRunnerWorker.runSuite(SuiteRunnerWorker.java:52)
                        	at org.testng.SuiteRunnerWorker.run(SuiteRunnerWorker.java:86)
                        	at org.testng.TestNG.runSuitesSequentially(TestNG.java:1224)
                        	at org.testng.TestNG.runSuitesSequentially(TestNG.java:1220)
                        	at org.testng.TestNG.runSuitesLocally(TestNG.java:1149)
                        	at org.testng.TestNG.run(TestNG.java:1057)
                        	at org.testng.TestNG.privateMain(TestNG.java:1364)
                        	at org.testng.TestNG.main(TestNG.java:1333)
                     </pre>
                  </div>
               </td>
            </tr>
         </table>
         <br></br>
      </div>
      <div style="margin-top: 15px; color: gray; text-align: center; font-size: 9px;">
         Generated with
         
         <a href="http://code.google.com/p/testng-xslt/" style="color: #8888aa;"
            target="_blank">
            TestNG XSLT
            
         </a>
      </div>
   </body>
</html>